Bug 246198 - The graphical console is not displayed, when VM is created by the same name twice in virt-manager
The graphical console is not displayed, when VM is created by the same name t...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 251489
  Show dependency treegraph
 
Reported: 2007-06-29 02:17 EDT by Masayuki Sunou
Modified: 2008-01-22 10:38 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.5.3-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-22 10:38:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Masayuki Sunou 2007-06-29 02:17:00 EDT
Description of problem:
A graphical console is not displayed, when VM is created by the same name 
twice in virt-manager.
And the following error messages are displayed on the console.

Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/create.py", line 578, in finish
    vm = self.connection.get_vm(guest.uuid)
  File "/usr/share/virt-manager/virtManager/connection.py", line 200, in get_vm
    return self.vms[uuid]
KeyError: 'b60d0a97-810a-dd72-68e0-88f334d11635'


Version-Release number of selected component (if applicable):
Changeset:216f03a53d2b

How reproducible:
Always

Steps to Reproduce:
1. Set [Automativally open console] to [For new domains]
2. Create VM pushing [New] button
3. Close a graphical console after it is displayed
4. Stop the VM without installing the OS
5. Delete the VM
6. Create VM of the name same as VM which created first

Actual results:
The graphical console is not displayed.

Expected results:
The graphical console is displayed.

Additional info:
 - Hypervisor is Xen.
Comment 1 Daniel Berrange 2007-08-29 19:30:14 EDT
This is fixed upstream in the 0.5.0 release, and so will be available in the
next update pushed for Fedora 7
Comment 2 Fedora Update System 2008-01-11 17:26:50 EST
virt-manager-0.5.3-1.fc7, gtk-vnc-0.3.2-1.fc7, python-virtinst-0.300.2-1.fc7, virt-viewer-0.0.2-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update virt-manager gtk-vnc python-virtinst virt-viewer'
Comment 3 Fedora Update System 2008-01-22 10:38:13 EST
virt-manager-0.5.3-1.fc7, gtk-vnc-0.3.2-1.fc7, python-virtinst-0.300.2-1.fc7, virt-viewer-0.0.2-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.